Subject: 26.0.50; Missing mode-line on initial frame

From: martin rudalics <[email-masked]>
Date: Sat, 08 Oct 2016 18:17:29 +0200

With the following file missing-mode-line.el

(defvar old (selected-frame))
(defvar new (make-frame '((minibuffer . nil))))

(set-frame-width new 1640 nil t)
(set-frame-width old 400 nil t)
(set-frame-position new 0 0)
(set-frame-position old -1 -40)

and

emacs -Q -load "~/missing-mode-line.el"

I get on Windows XP two frames where the root window of the smaller one
has a missing mode-line.  The mode-line reappears when that frame gets
focus.  It's a minor issue but cannot be reproduced here with Emacs 25.

It's easily possible that I introduced the bug myself but I don't recall
changing anything in this area.  So if this rings a bell ...

In GNU Emacs 26.0.50.1 (i686-pc-mingw32)
  of 2016-10-08 built on MACHNO
Repository revision: 9adfb021df482c6aa94a043f07acf1e8eb695bf2
Windowing system distributor 'Microsoft Corp.', version 5.1.2600

Configured using:
  'configure --prefix=/c/emacs-git/quick --with-gnutls=no --with-wide-int
  --enable-checking=yes --enable-check-lisp-object-type=yes 'CFLAGS=-O0
  -g3''

Configured features:
SOUND NOTIFY ACL TOOLKIT_SCROLL_BARS

martin